Subject: [IPP] Re: [Technical Errata Reported] RFC2911 (3072)

From: Michael Sweet <[email-masked]>
Date: Tue, 08 May 2012 12:03:51 -0700

Barry,

I did finally locate the discussions concerning this in the minutes of the Cloud Imaging WG at:

	ftp://ftp.pwg.org/pub/pwg/cloud/minutes/cloud-concall-minutes-20110822.pdf

The proposed errata simply removes the multiple document job restriction of the "multiple-document-handling" Job Template attribute so that single document and multiple document jobs are processed consistently.  That is the interpretation the Printer Working Group is using for all of its standards, including pending extensions to IPP for the IPP Everywhere project which introduces new attributes and operations to support printing from mobile devices to servers without printer-specific driver software:

	http://www.pwg.org/ipp

The "multiple-document-handling" attribute (and the interpretation that it also applies to single document jobs) is part of this work.  Related activities in the Semantic Model WG (PWG Job Ticket and Associated Capabilities) and Cloud Imaging WG (Cloud Print Model and Requirements, Cloud Multifunction Model and Requirements) also make use of this attribute.

There are even multifunction services (e.g. Copy) that do not have documents in their jobs, yet multiple-document-handling (and its equivalent Semantic Model element) is still used to indicate how copies are produced. (However, since RFC 2911 describes the Print service it is only useful for multiple-document-handling to apply to jobs with one or more documents...)

Hope this helps to clear things up!

On May 7, 2012, at 6:47 PM, Barry Leiba <[email-masked]> wrote:

> Michael, et al,
> 
> I'm looking at handling this errata report, and I'd like to try to get
> some clarification before I do.  I'm copying the [email-masked] list, so
> this message will probably need moderation there.
> 
> The report refers to "consensus of the IPP working group in the
> Printer Working Group," which is not the same as referring to
> consensus of the long-closed IPP working group in the IETF.  If you
> can show me some evidence of what that group's consensus was at the
> time, and that the text in the document is perhaps a copy/paste error
> that does not reflect that original consensus, then I can verify this
> erratum.
> 
> It also strikes me that the right correction might be, "This attribute
> is relevant only if a job consists of more than one document or
> requests more than one copy."
> 
> My inclination is to mark this "hold for document update", so that
> people looking at errata will see that it's there, but will understand
> that fixing it right will take a little more document work than just a
> quick erratum.  But I'm not sure yet, so I'm looking for more input.
> Please discuss this with me, and give me some of that input.
> 
> Thanks,
> Barry Leiba, IETF Applications Area Director
> 
>> From: RFC Errata System <[email-masked]>
>> Subject: [Technical Errata Reported] RFC2911 (3072)
>> Date: January 4, 2012 9:57:41 AM PST
>> To: [email-masked], [email-masked], [email-masked],
>>      [email-masked], [email-masked], [email-masked], [email-masked],
>>      [email-masked]
>> Cc: [email-masked], [email-masked]
>> 
>> 
>> The following errata report has been submitted for RFC2911,
>> "Internet Printing Protocol/1.1: Model and Semantics".
>> 
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=2911&eid=3072
>> 
>> --------------------------------------
>> Type: Technical
>> Reported by: Michael Sweet <msweet at apple.com>
>> 
>> Section: 4.2.4
>> 
>> Original Text
>> -------------
>> This attribute is relevant only if a job consists of two or more
>> documents. This attribute MUST be supported with at least one value
>> 
>> 
>> Corrected Text
>> --------------
>> This attribute is relevant to jobs consisting of one or more
>> documents. This attribute MUST be supported with at least one value
>> 
>> 
>> Notes
>> -----
>> Per consensus of the IPP working group in the Printer Working Group, the
>> "multiple-document-handling" attribute *is* applicable to single-document jobs
>> since it is the only common attribute that can be used to request copy collation.
>> 
>> The other collation attribute ("sheet-collate" from RFC3381])interacts with
>> "multiple-document-handling" in some non-obvious ways and requires clients
>> and printers to support two different attributes for simple collation. The "sheet-collate"
>> attribute also does not address how finishing options are applied to copies while
>> "multiple-document-handling" does.
>> 
>> Instructions:
>> -------------
>> This errata is currently posted as "Reported". If necessary, please
>> use "Reply All" to discuss whether it should be verified or
>> rejected. When a decision is reached, the verifying party (IESG)
>> can log in to change the status and edit the report, if necessary.
>> 
>> --------------------------------------
>> RFC2911 (draft-ietf-ipp-model-v11-07)
>> --------------------------------------
>> Title               : Internet Printing Protocol/1.1: Model and Semantics
>> Publication Date    : September 2000
>> Author(s)           : T. Hastings, Ed., R. Herriot, R. deBry, S. Isaacson, P. Powell
>> Category            : PROPOSED STANDARD
>> Source              : Internet Printing Protocol
>> Area                : Applications
>> Stream              : IETF
>> Verifying Party     : IESG

__________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp